Bug 478061 - MIGRATED_FROM_JIRA: Problems in adding node in Penrose Studio
MIGRATED_FROM_JIRA: Problems in adding node in Penrose Studio
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Studio (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 02:55 EST by Chandrasekar Kannan
Modified: 2018-02-07 15:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 02:55:23 EST
In Penrose Studio, I can't add a child node to a particular node under the following circumstances. 
Assume that we have a node A which in turn has B as a child node. 
1) When I modify B in any particular manner, I am not able to add a child node under B. In order to  add a child node to B, I have to then exit Penrose Studio and then start it again.
2) When I delete B and then try and add another node to A, I have to restart studio again to do that.

This doesn't happen all the time but does happen quite frequently. It is however not a very critical problem but is pretty annoying especially to someone who is new to Penrose Studio (like myself).


Additional Comments From endisd dated Tue Aug 30 16:25:58 CDT 2005 
The first issue has been fixed in 0.9.4. The second issue can't be reproduced in 0.9.4 or got fixed somehow. Please reopen the issue if this is still happening. Thanks.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '4',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Studio',
                              'id' => '10010'
                            }
                          ],
          'key' => 'PENROSE-63',
          'assignee' => 'endisd',
          'summary' => 'Problems in adding node in Penrose Studio',
          'id' => '10209',
          'updated' => '2005-08-30 16:25:58.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2005-08-31 00:00:00.0',
                             'sequence' => '4',
                             'name' => 'Penrose-0.9.4',
                             'released' => 'true',
                             'id' => '10021',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2005-07-26 00:00:00.0',
                                 'sequence' => '3',
                                 'name' => 'Penrose-0.9.3',
                                 'released' => 'true',
                                 'id' => '10020',
                                 'archived' => 'false'
                               }
                             ],
          'description' => 'In Penrose Studio, I can't add a child node to a particular node under the following circumstances. 
Assume that we have a node A which in turn has B as a child node. 
1) When I modify B in any particular manner, I am not able to add a child node under B. In order to  add a child node to B, I have to then exit Penrose Studio and then start it again.
2) When I delete B and then try and add another node to A, I have to restart studio again to do that.

This doesn't happen all the time but does happen quite frequently. It is however not a very critical problem but is pretty annoying especially to someone who is new to Penrose Studio (like myself).

',
          'created' => '2005-08-04 05:17:29.0',
          'environment' => 'Redhat Linux kernel 2.4.20-8',
          'resolution' => '1',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 02:55:26 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-63

Note You need to log in before you can comment on or make changes to this bug.